> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/{projectId}/areas/{areaId}/move
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/areas/{areaId}/move:
    post:
      tags:
        - Project Areas
      summary: Move
      operationId: ProjectAreasController_move_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: areaId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MoveProjectAreaDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectAreaMoveResponseDto'
      security:
        - bearer: []
components:
  schemas:
    MoveProjectAreaDto:
      type: object
      properties:
        version:
          type: integer
          minimum: 0
          maximum: 9007199254740991
        parentId:
          anyOf:
            - type: string
            - type: 'null'
        placement:
          type: object
          properties:
            areaId:
              type: string
            before:
              type: boolean
          required:
            - areaId
            - before
          additionalProperties: false
        newParent:
          type: object
          properties:
            name:
              type: string
              minLength: 1
              maxLength: 120
            code:
              anyOf:
                - type: string
                  pattern: ^[A-Z0-9-]{1,6}$
                - type: 'null'
          required:
            - name
            - code
          additionalProperties: false
        addedLevels:
          maxItems: 3
          type: array
          items:
            type: object
            properties:
              singularLabel:
                type: string
                minLength: 1
                maxLength: 40
              pluralLabel:
                type: string
                minLength: 1
                maxLength: 40
            required:
              - singularLabel
              - pluralLabel
            additionalProperties: false
        acknowledgeRepeats:
          type: boolean
        budget:
          maxItems: 500
          type: array
          items:
            type: object
            properties:
              areaId:
                type: string
              budgetPercent:
                anyOf:
                  - type: string
                    pattern: ^\d{1,3}(\.\d{1,4})?$
                  - type: 'null'
              squareArea:
                anyOf:
                  - type: string
                    pattern: ^\d{1,12}(\.\d{1,2})?$
                  - type: 'null'
              squareAreaCost:
                anyOf:
                  - type: string
                    pattern: ^\d{1,12}(\.\d{1,2})?$
                  - type: 'null'
            required:
              - areaId
              - budgetPercent
              - squareArea
              - squareAreaCost
            additionalProperties: false
      required:
        - version
        - parentId
      additionalProperties: false
    ProjectAreaMoveResponseDto:
      type: object
      properties:
        version:
          type: number
        affectedAreaId:
          type: string
        undo:
          type: object
      required:
        - version
        - affectedAreaId
        - undo
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````